summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorTupone Alfredo <tupone@gentoo.org>2019-10-21 08:52:22 +0200
committerTupone Alfredo <tupone@gentoo.org>2019-10-21 08:52:22 +0200
commitf3337cee38d12d44fc90c8ae494090a853902bb9 (patch)
treedd42bcd235b9356e0154add1812cd1325edae309 /eclass
parentdev-ada/gps-bin: Stable version (diff)
downloadgentoo-f3337cee38d12d44fc90c8ae494090a853902bb9.tar.gz
gentoo-f3337cee38d12d44fc90c8ae494090a853902bb9.tar.bz2
gentoo-f3337cee38d12d44fc90c8ae494090a853902bb9.zip
ada.eclass: add export of GNAT
Signed-off-by: Alfredo Tupone <tupone@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ada.eclass7
1 files changed, 6 insertions, 1 deletions
diff --git a/eclass/ada.eclass b/eclass/ada.eclass
index dad3d9acce85..361ffb65cd10 100644
--- a/eclass/ada.eclass
+++ b/eclass/ada.eclass
@@ -355,7 +355,7 @@ ada_wrapper_setup() {
mkdir -p "${workdir}"/bin || die
local GCC GNATMAKE GNATLS GNATBIND GNATCHOP GNATPREP
- ada_export "${impl}" GCC GNATMAKE GNATLS GNATCHOP GNATBIND GNATPREP
+ ada_export "${impl}" GCC GNAT GNATMAKE GNATLS GNATCHOP GNATBIND GNATPREP
# Ada compiler
cat > "${workdir}/bin/gcc" <<-_EOF_ || die
@@ -388,6 +388,11 @@ ada_wrapper_setup() {
exec "${GNATPREP}" "\${@}"
_EOF_
chmod a+x "${workdir}/bin/gnatprep" || die
+ cat > "${workdir}/bin/gnat" <<-_EOF_ || die
+ #!/bin/sh
+ exec "${GNAT}" "\${@}"
+ _EOF_
+ chmod a+x "${workdir}/bin/gnat" || die
fi
# Now, set the environment.